summaryrefslogtreecommitdiffstats
path: root/board/freescale/imx6ulevk/post-image.sh
diff options
context:
space:
mode:
Diffstat (limited to 'board/freescale/imx6ulevk/post-image.sh')
-rwxr-xr-xboard/freescale/imx6ulevk/post-image.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/board/freescale/imx6ulevk/post-image.sh b/board/freescale/imx6ulevk/post-image.sh
new file mode 100755
index 0000000000..cb75a47de6
--- /dev/null
+++ b/board/freescale/imx6ulevk/post-image.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+GENIMAGE_CFG="board/freescale/imx6ulevk/genimage.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage \
+ --rootpath "${TARGET_DIR}" \
+ --tmppath "${GENIMAGE_TMP}" \
+ --inputpath "${BINARIES_DIR}" \
+ --outputpath "${BINARIES_DIR}" \
+ --config "${GENIMAGE_CFG}"
+
+exit $?
OpenPOWER on IntegriCloud